#include <bits/stdc++.h>
using namespace std;

int n, cnt = 0;
string s;

int main()
{
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        int flag = 0;
        cin >> s;
        for(int j = 1; j < n; j++)
        {
            cnt = 0;
            for(int k = 1; k < n; k++)
            {
                if(s[j] == s[k] && j != k) cnt++;
            }
            if(cnt % 2 == 0) flag+=cnt;
        }
        if(flag == s.size()) cout << "1";
        else cout << "0";
    }
    return 0;
}

